AutoReqProv: no

##Init variables

%global packver 61.0.1
%global _optdir /opt
%ifarch x86_64
%global arch linux64
%else
%global arch linux
%endif

##Package Version and Licences

Summary: Firefox Quantum RPM Builds
Name: firefox-quantum
Version: %{packver}
Release: %(date +%%y%%m%%d)%{?dist}
License: MPLv1.1 or GPLv2+ or LGPLv2+
Group: Applications/Internet
URL: http://www.mozilla.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

##DEPS
BuildRequires: wget tar

Requires: alsa-lib libX11 libXcomposite libXdamage libnotify libXt libXext glib2 dbus-glib libjpeg-turbo cairo-gobject libffi fontconfig freetype libgcc gtk3 gtk2 hunspell zlib nspr nss sqlite

##Description for Package

%description
This package is a package built directly from Mozilla's latest tarball. This package will be updated weekly if not sooner.

%prep

##Build Instructions

%build
wget -c --no-check-certificate -P %{_builddir} -O quantum.tar.bz2 "https://download.mozilla.org/?product=firefox-latest&os=%{arch}"
tar -jxvf quantum.tar.bz2  -C %{_builddir}

## Install Instructions

%install

install -dm 755 %{buildroot}/usr/{bin,share/{applications,icons/hicolor/16x16/apps},opt}
install -dm 755 %{buildroot}/%{_optdir}/firefox-quantum/browser/defaults/preferences/
install -m644 %{_builddir}/firefox/browser/chrome/icons/default/default16.png %{buildroot}/usr/share/icons/hicolor/16x16/apps/firefox-quantum.png

install -dm 755 %{buildroot}/usr/{bin,share/{applications,icons/hicolor/22x22/apps},opt}
install -dm 755 %{buildroot}/%{_optdir}/firefox-quantum/browser/defaults/preferences/
install -m644 %{_builddir}/firefox/browser/chrome/icons/default/default16.png %{buildroot}/usr/share/icons/hicolor/22x22/apps/firefox-quantum.png

install -dm 755 %{buildroot}/usr/{bin,share/{applications,icons/hicolor/24x24/apps},opt}
install -dm 755 %{buildroot}/%{_optdir}/firefox-quantum/browser/defaults/preferences/
install -m644 %{_builddir}/firefox/browser/chrome/icons/default/default16.png %{buildroot}/usr/share/icons/hicolor/24x24/apps/firefox-quantum.png

install -dm 755 %{buildroot}/usr/{bin,share/{applications,icons/hicolor/32x32/apps},opt}
install -dm 755 %{buildroot}/%{_optdir}/firefox-quantum/browser/defaults/preferences/
install -m644 %{_builddir}/firefox/browser/chrome/icons/default/default32.png %{buildroot}/usr/share/icons/hicolor/32x32/apps/firefox-quantum.png

install -dm 755 %{buildroot}/usr/{bin,share/{applications,icons/hicolor/48x48/apps},opt}
install -dm 755 %{buildroot}/%{_optdir}/firefox-quantum/browser/defaults/preferences/
install -m644 %{_builddir}/firefox/browser/chrome/icons/default/default48.png %{buildroot}/usr/share/icons/hicolor/48x48/apps/firefox-quantum.png

install -dm 755 %{buildroot}/usr/{bin,share/{applications,icons/hicolor/128x128/apps},opt}
install -dm 755 %{buildroot}/%{_optdir}/firefox-quantum/browser/defaults/preferences/
install -m644 %{_builddir}/firefox/browser/chrome/icons/default/default128.png %{buildroot}/usr/share/icons/hicolor/128x128/apps/firefox-quantum.png


cp -rf %{_builddir}/firefox/* %{buildroot}/opt/firefox-quantum/
ln -s /opt/firefox-quantum/firefox %{buildroot}/usr/bin/firefox-quantum

cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF

## Desktop File

[Desktop Entry]
Version=%{current}
Name=Firefox Quantum Web Browser
GenericName=Web Browser
Comment=Browse the Web
Exec=firefox-quantum %u
Icon=firefox-quantum
Terminal=false
Type=Application
MimeType=text/html;text/xml;application/xhtml+xml;application/vnd.mozilla.xul+xml;text/mml;x-scheme-handler/http;x-scheme-handler/https;
Categories=Network;WebBrowser;
Keywords=web;browser;internet;
EOF
## Disable Update Alert
echo '// Disable Update Alert
pref("app.update.enabled", false);' > %{buildroot}/opt/firefox-quantum/browser/defaults/preferences/vendor.js

##Cleanup

%clean
rm -rf $RPM_BUILD_ROOT

##Installed Files


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_optdir}/firefox-quantum/


